Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.cluster.util
Class SmartQueue.SmartEntry

    java.lang.Object
      org.apache.catalina.cluster.util.SmartQueue.SmartEntry

Enclosing class:
  SmartQueue

public static class SmartQueue.SmartEntry
extends java.lang.Object

Field Summary
`protected java.lang.Object` | `key`
`protected java.lang.Object` | `value`

Constructor Summary
`SmartQueue.SmartEntry(java.lang.Object key, java.lang.Object value)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`java.lang.Object` | `getKey()`
`java.lang.Object` | `getValue()`
`int` | `hashCode()`
`void` | `setValue(java.lang.Object value)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### key

    protected java.lang.Object key

### value

    protected java.lang.Object value

Constructor Detail

### SmartQueue.SmartEntry

    public SmartQueue.SmartEntry(java.lang.Object key,
                                 java.lang.Object value)

Method Detail

### getKey

    public java.lang.Object getKey()

### getValue

    public java.lang.Object getValue()

### setValue

    public void setValue(java.lang.Object value)

### hashCode

    public int hashCode()

### equals

    public boolean equals(java.lang.Object o)

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.